## BtMainMenu BtMainMenu — class for the editor main menu |

## Synopsis

    #include "bt-edit.h"

                        BtMainMenu;
    BtMainMenu *        bt_main_menu_new                    (const BtEditApplication *app);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkMenuShell
                                     +----GtkMenuBar
                                           +----BtMainMenu

## Implemented Interfaces

BtMainMenu implements AtkImplementorIface and GtkBuildable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only

## Description

Provides the main application menu.

## Details

### BtMainMenu

    typedef struct _BtMainMenu BtMainMenu;

the main menu inside the BtMainWindow

### bt_main_menu_new ()

    BtMainMenu *        bt_main_menu_new                    (const BtEditApplication *app);

Create a new instance

`app` : | the application the menu belongs to
Returns : | the new instance or `NULL` in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the menu belongs to.